Change log for gnat-gps package in Ubuntu

145 of 45 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-04-14
Deleted in disco-proposed (Reason: moved to release)
gnat-gps (18-5ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el (avoiding a FTBFS).
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Available diffs

Superseded in disco-release on 2019-04-14
Deleted in disco-proposed on 2019-04-15 (Reason: moved to release)
gnat-gps (18-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el (avoiding a FTBFS).
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Available diffs

Superseded in disco-release on 2018-12-03
Deleted in disco-proposed on 2018-12-05 (Reason: moved to release)
gnat-gps (18-3ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el (avoiding a FTBFS).
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Available diffs

Superseded in disco-release on 2018-12-03
Deleted in disco-proposed on 2018-12-04 (Reason: moved to release)
gnat-gps (18-2ubuntu2) disco; urgency=medium

  * Build with -O2 on ppc64el (avoiding a FTBFS).

 -- Matthias Klose <email address hidden>  Mon, 12 Nov 2018 08:11:11 +0100
Superseded in disco-proposed on 2018-11-12
gnat-gps (18-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Superseded in disco-release on 2018-11-13
Published in cosmic-release on 2018-05-14
Deleted in cosmic-proposed (Reason: moved to release)
gnat-gps (17.0.2017-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Superseded in cosmic-release on 2018-05-14
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-09-02
Deleted in artful-proposed (Reason: moved to release)
gnat-gps (6.1.2016-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Superseded in artful-proposed on 2017-09-01
gnat-gps (6.1.1-1ubuntu3) artful; urgency=medium

  * Rebuild against gnat-7.

 -- Steve Langasek <email address hidden>  Fri, 01 Sep 2017 19:36:22 +0000
Superseded in artful-release on 2017-09-02
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
gnat-gps (6.1.1-1ubuntu2) zesty; urgency=medium

  * No-change rebuild for ada transition.

 -- Adam Conrad <email address hidden>  Fri, 07 Apr 2017 08:04:46 -0600
Superseded in zesty-release on 2017-04-07
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
gnat-gps (6.1.1-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

Superseded in yakkety-proposed on 2016-08-05
gnat-gps (5.3dfsg-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild against gnat-6.

 -- Steve Langasek <email address hidden>  Wed, 13 Jul 2016 16:45:45 -0700
Superseded in yakkety-release on 2016-08-10
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed (Reason: moved to release)
gnat-gps (5.3dfsg-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + gnat-gps: Recommend gdb | gdb-minimal.
 -- Artur Rona <email address hidden>   Fri, 09 Jan 2015 23:38:21 +0100

Available diffs

Superseded in vivid-release on 2015-01-12
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
gnat-gps (5.3-4ubuntu1) utopic; urgency=medium

  * gnat-gps: Recommend gdb | gdb-minimal.
 -- Matthias Klose <email address hidden>   Wed, 15 Oct 2014 15:45:19 +0200

Available diffs

Superseded in utopic-release on 2014-10-15
Deleted in utopic-proposed on 2014-10-16 (Reason: moved to release)
gnat-gps (5.3-3) unstable; urgency=medium


  * Build with xmlada5-dev, templates-parser-11.8.2015-dev. Closes: #757620.
  * Let -doc Recommend current version of the ada-reference-manual.
  * Use dh_sphinxdoc and dh_linktrees to avoid embedding javascript libraries.
  * Uploaders: update Xavier's email.
  * Manual page for gnatinspect.
  * Standards-Version: 3.9.5 (no changes).
  * -doc: lintian override for false positive (extra-license-file).

 -- Nicolas Boulenguez <email address hidden>  Tue, 19 Aug 2014 07:13:26 +0200

Available diffs

Superseded in utopic-release on 2014-08-22
Deleted in utopic-proposed on 2014-08-23 (Reason: moved to release)
gnat-gps (5.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-latex-extra. Closes: #755311.
 -- Matthias Klose <email address hidden>   Tue, 05 Aug 2014 00:38:40 +0200
Superseded in utopic-proposed on 2014-08-05
gnat-gps (5.3-2.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Build-depend on texlive-latex-recommended. Closes: #755311.

 -- Matthias Klose <email address hidden>  Tue, 05 Aug 2014 00:38:40 +0200

Available diffs

Superseded in utopic-proposed on 2014-08-05
gnat-gps (5.3-2) unstable; urgency=low


  * debian/gnat-gps-doc.install: install images in only one place.
  * debian/gnat-gps-doc.doc-base.*: adjust to upstream changes i.e. no
    text format anymore.  Closes: #754069.
  * debian/build_gps.gpr: do not work around compiler bug #642981 which
    has been fixed since gnat-4.8.
  * debian/build_gnatinspect.gpr, debian/rules: build gnatinspect too.
  * debian/gnat-gps.install: install it.  Closes: #754320.
  * debian/control (Build-Depends): add libreadline-dev, needed by
    gnatinspect.

 -- Ludovic Brenta <email address hidden>  Thu, 10 Jul 2014 20:19:26 +0200

Available diffs

Superseded in utopic-proposed on 2014-07-12
gnat-gps (5.3-1) unstable; urgency=medium


  [Nicolas Boulenguez]
  * New upstream snapshot (Subversion revision 212731 of 2013-07-10),
    chosen because it precedes the switch to GtkAda 3.x;
    built with gnat 4.9, xmlada 4.4.0puregpl, templates-parser
    11.8.2014. gtkada 2.24.4.  License update GPL-2+ -> GPL-3+.
  
  [Ludovic Brenta]
  * Refresh patches.
  * debian/rules (.../config.ads.in): adjust to new upstream release.
    (DIRS_WITH_C_SOURCES): ditto.
    (override_dh_auto_build-indep): Do not build Info manuals anymore;
    they have been abandoned upstream.
  * debian/build_gps.gpr: s/gtkada2/gtkada/ and adjust directories.
  * debian/patches/gnat-4.9.patch: new.
  * debian/control (Build-Depends): add libsqlite3-dev.
    (Build-Depends-Indep): add python-sphinx (to generate the doc) and
    graphviz (to generate graphs in the doc).
  * debian/gnat-gps-{common,doc}.install: adjust to upstream changes.

 -- Ludovic Brenta <email address hidden>  Mon,  7 Jul 2014 00:18:29 +0200
Superseded in utopic-release on 2014-08-20
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
gnat-gps (5.0-16) unstable; urgency=low


  * rules: simplified using debhelper 9.
    Link C objects directly, without intermediate static archive.
    Add missing substitutions in config.ads.
  * patches: refreshed without timestamps.
  * copyright, patches/texinfo: GPL-2+ instead of GNU GFDL. Closes: #708932.
  * lintian-overrides: a patch removing a non DFSG license must contain it
  * install all documentation in a single /usr/share/doc/gnat-gps directory.
  * Revert to parallel build. Timeout is more frequent than RAM exhaustion.

 -- Nicolas Boulenguez <email address hidden>  Thu, 18 Jul 2013 00:55:58 +0200

Available diffs

Superseded in saucy-release on 2013-09-03
Deleted in saucy-proposed on 2013-09-04 (Reason: moved to release)
gnat-gps (5.0-15) unstable; urgency=low


  * rules: add -lutil to link options, avoiding a FTBFS on kfreebsd-*.
    Default to parallel=1 to avoid exhausting the RAM on limited buildds.

 -- Nicolas Boulenguez <email address hidden>  Mon, 15 Jul 2013 23:20:21 +0200

Available diffs

Superseded in saucy-release on 2013-07-19
Deleted in saucy-proposed on 2013-07-20 (Reason: moved to release)
gnat-gps (5.0-14) unstable; urgency=low


  * patches/documentation-formats: fix incompatibilities with texinfo 5.
    Ignore docs/texiplus.tex. Closes: #712323.
  * Move debian/TODO,known-problems,features from gnat-gps to -doc package.
  * control (DM-Upload-Allowed): removed obsolete field.
    (Build-Depends): pkg-config. Closes: #685071.
    (Standards-Version): 3.9.4 (no change needed)
  * menu -> gnat-gps.menu: for clarity.
  * README.source, build_gps.gpr, copyright, rules: copyright update.

 -- Nicolas Boulenguez <email address hidden>  Sat, 06 Jul 2013 22:08:20 +0200

Available diffs

Published in precise-updates on 2013-02-04
Deleted in precise-proposed (Reason: moved to -updates)
gnat-gps (5.0-6ubuntu1) precise-proposed; urgency=low

  * Backport fix from Quantal (LP: #1059621):
    - Avoid symlinking documentation directories (Closes: #684194).
 -- Evan Dandrea <email address hidden>   Wed, 17 Oct 2012 14:27:48 +0100
Superseded in saucy-release on 2013-07-07
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
gnat-gps (5.0-13) unstable; urgency=low


  * Avoid symlinking documentation directories (Closes: #684194).

 -- Nicolas Boulenguez <email address hidden>  Thu, 16 Aug 2012 12:40:48 +0200

Available diffs

Superseded in quantal-release on 2012-09-08
gnat-gps (5.0-12) unstable; urgency=low


  [Nicolas Boulenguez]
  * debian/patches/gprconfig.patch: new.  Properly handle the exception
    signalling that gprconfig is absent from the $PATH.  Closes: #682229.

  [Ludovic Brenta]
  * debian/control: Suggest gprconfig.

  [Svante Signell]
  * debian/patches/hurd-i386.patch: new. Add support for hurd-i386.
    Closes: #682001.

 -- Ludovic Brenta <email address hidden>  Fri, 20 Jul 2012 23:33:46 +0200

Available diffs

Superseded in quantal-release on 2012-07-25
gnat-gps (5.0-11) unstable; urgency=low


  * control: -doc Recommends ada-reference-manual-2005 instead of obsolete
    package name (Closes: #677279)
  * rules, build.gpr: better flag transmission (LDFLAGS was ignored).

 -- Nicolas Boulenguez <email address hidden>  Thu, 14 Jun 2012 00:44:35 +0200
Superseded in quantal-release on 2012-06-19
gnat-gps (5.0-10ubuntu1) quantal; urgency=low

  * Follow package name change from ada-reference-manual-* to
    ada-reference-manual-2005.
 -- Andy Whitcroft <email address hidden>   Tue, 12 Jun 2012 21:08:05 +0100

Available diffs

Superseded in quantal-release on 2012-06-12
gnat-gps (5.0-10) unstable; urgency=low


  [Nicolas Boulenguez]
  * debian/copyright: updated Format and packaging years.
  * debian/source.lintian-overrides: removed obsolete ones.
  * Updated doc directories according to package split.

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): yes.

 -- Ludovic Brenta <email address hidden>  Sat, 19 May 2012 14:39:42 +0200

Available diffs

Superseded in quantal-release on 2012-05-24
gnat-gps (5.0-9) unstable; urgency=low


  [Nicolas Boulenguez]
  * control, rules: rely on the Makefile snippet provided in
    dh-ada-library to handle DEB_BUILD_OPTIONS=parallel=n and set
    CC=gnatgcc LDFLAGS+=--as-needed (Closes: #669083).

  [Ludovic Brenta]
  * debian/control (Standards-Version): 3.9.3, no changes required.

 -- Ludovic Brenta <email address hidden>  Sun,  6 May 2012 12:54:59 +0200

Available diffs

Superseded in quantal-release on 2012-05-17
Published in precise-release on 2012-02-06
gnat-gps (5.0-6) unstable; urgency=low


  * Rebuild against libgtkada 2.24.1.

 -- Ludovic Brenta <email address hidden>  Sun, 15 Jan 2012 15:42:21 +0100
Superseded in precise-release on 2012-02-06
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
gnat-gps (4.3-5ubuntu4) natty; urgency=low

  * Rebuild with python 2.7 as the python default.
 -- Matthias Klose <email address hidden>   Thu, 09 Dec 2010 16:48:07 +0000

Available diffs

Superseded in natty-release on 2010-12-09
gnat-gps (4.3-5ubuntu3) natty; urgency=low

  * Recommend: on ada-reference-manual-text rather than the NBS
    ada-reference-manual .
 -- Bilal Akhtar <email address hidden>   Wed, 24 Nov 2010 11:57:25 +0300

Available diffs

Superseded in natty-release on 2010-11-24
gnat-gps (4.3-5ubuntu2) natty; urgency=low

  * Rebuild for ada-reference-manual transition.
  * Update maintainer according to DebianMaintainerField spec.
 -- Bilal Akhtar <email address hidden>   Wed, 24 Nov 2010 11:16:21 +0300

Available diffs

Superseded in natty-release on 2010-11-24
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
gnat-gps (4.3-5ubuntu1) lucid; urgency=low

  * BUild on armel.
 -- Matthias Klose <email address hidden>   Mon, 15 Mar 2010 15:12:34 +0100

Available diffs

Superseded in lucid-release on 2010-03-15
gnat-gps (4.3-3ubuntu1) lucid; urgency=low

  * Link with python2.6.
 -- Matthias Klose <email address hidden>   Sat, 06 Feb 2010 02:12:20 +0100

Available diffs

Superseded in lucid-release on 2010-02-06
gnat-gps (4.3-3) unstable; urgency=low
  
  * Added two patches
    - bug-567688.patch to fix termio.h problem, same bug as gnat-4.4 564232.
    Closes: #567668.
    - fix-config-guess.patch, config.guess from upstream didn't know about 
    GNU/kFreeBSD for uname -s.
  

Available diffs

Superseded in lucid-release on 2010-02-03
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
gnat-gps (4.3~2008.08.09ubuntu1) intrepid; urgency=low

  * Add lpia to supported architectures.

Available diffs

Superseded in intrepid-release on 2008-08-19
Obsolete in hardy-release on 2015-04-24
gnat-gps (4.0.1-6) unstable; urgency=low
  
  * debian/control: build-depend-indep on texlive-generic-recommended,
    too.  Closes: #443030.  Thanks to Cyril Brulebois for investigating.

Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
gnat-gps (4.0.1-3build1) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <email address hidden>   Mon, 15 Jan 2007 17:54:53 +0000
Superseded in feisty-release on 2007-01-15
gnat-gps (4.0.1-3) unstable; urgency=low
  
  * debian/gps.gpr: revert to -g -O2 -gnatafno -gnatVa and static
    elaboration checks.
  * patches/series (dynamically-tagged-expressions.patch): disable.
  * patches/documentation-path.patch: fix a bug whereby we would look for
    shell_commands.xml in the wrong directory.  This in turn fixes the
    Help menu.
  * patches/memory-corruption.patch: new.  Addresses: #400876, #400883,
    but does not close them yet because I think the underlying memory
    corruption bug is still lurking somewhere.
  
Superseded in feisty-release on 2006-12-11
Obsolete in edgy-release on 2008-06-19
gnat-gps (3.1.3-2ubuntu1) edgy; urgency=low

  * Build-depend on tetex-extra.

 -- Matthias Klose <email address hidden>   Wed, 11 Oct 2006 15:43:25 +0200
Superseded in edgy-release on 2006-10-11
gnat-gps (3.1.3-2) unstable; urgency=low
  
  * debian/control (Build-Depends): add libgnatprj-dev, libgnatvsn-dev, and
    libtemplates-parser-dev.

Superseded in edgy-release on 2006-10-10
gnat-gps (2.1.0-8ubuntu1) edgy; urgency=low

  * Resync with Debian
  * debian/control: build-dep python2.3-dev -> python2.4-dev
  * debian/rules: /usr/include/python2.3 -> /usr/include/python2.4
  * gps.gpr: -lpython2.3 -> -lpython2.4

 -- Barry deFreese <email address hidden>   Tue,  4 Jul 2006 23:31:04 -0400
Superseded in edgy-release on 2006-07-05
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
gnat-gps (2.1.0-5ubuntu1) breezy; urgency=low


  * Change build-dep to python2.4-dev
  * Ugly hack to find python2.4
    * --with-python=/usr/lib/libpython2.4.so in rules
  * Add patch to include /usr/include/cairo in Makefile.in
    * 08-makefile-cairo.patch

 -- Barry deFreese <email address hidden>  Mon,  3 Oct 2005 22:47:24 -0400
Obsolete in hoary-release on 2008-03-19
gnat-gps (1.4.0-5) unstable; urgency=low

  
  * debian/gnat-gps-doc.copyright: Add a copyright file in gnat-gps-doc.
    Closes: #264274.

  * debian/rules (clean): Remove all GNAT configuration files generated
    during the build.  They were mistakenly included in the *.diff.gz.

  * debian/rules (binary-indep): chmod all the gif files; upstream has
    them executable and this is wrong.  Insall the changelog and the
    copyright file for gnat-gps-doc.

  * debian/rules (binary-arch): call dh_installdeb to generate the
    postinst and postrm scripts.

  * debian/menu: use a quoted string for the section.

  * debian/control: Update Standards-Version to 3.6.1.1.
  
 -- Ludovic Brenta <email address hidden>  Tue, 10 Aug 2004 07:43:46 +0200
Obsolete in warty-release on 2008-01-09
gnat-gps (1.4.0-4) unstable; urgency=low

  
  * Fix FTBFS on sparc, powerpc.  Closes: #230082.
  
  * Update Standards-Version from 3.6.0 to 3.6.1.

 -- Ludovic Brenta <email address hidden>  Wed, 28 Jan 2004 16:05:24 +0100
145 of 45 results